# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.SedimentLayers.translate import SedimentTranslate

_translate = QCoreApplication.translate


class SedimentReachTranslate(SedimentTranslate):
    def __init__(self):
        super(SedimentReachTranslate, self).__init__()

        self._dict["nd"] = _translate("SedimentLayers", "Not defined")
        self._dict["kp"] = _translate("SedimentLayers", "Kp (m)")
        self._dict["height"] = _translate("SedimentLayers", "Height (m)")

        self._sub_dict["table_headers"] = {
            "name": _translate("SedimentLayers", "Name"),
            "kp": _translate("SedimentLayers", "KP (m)"),
            "sl": _translate("SedimentLayers", "Sediment layers"),
        }
